org.apache.hadoop.mapreduce.v2.app.commit

## Class CommitterEventHandler

- java.lang.Object
- - org.apache.hadoop.service.AbstractService
  - - org.apache.hadoop.mapreduce.v2.app.commit.CommitterEventHandler

- All Implemented Interfaces:
    Closeable, AutoCloseable, org.apache.hadoop.service.Service, org.apache.hadoop.yarn.event.EventHandler<CommitterEvent>

      public class CommitterEventHandler
      extends org.apache.hadoop.service.AbstractService
      implements org.apache.hadoop.yarn.event.EventHandler<CommitterEvent>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.hadoop.service.Service

      `org.apache.hadoop.service.Service.STATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommitterEventHandler(AppContext context, org.apache.hadoop.mapreduce.OutputCommitter committer, RMHeartbeatHandler rmHeartbeatHandler)`
    `CommitterEventHandler(AppContext context, org.apache.hadoop.mapreduce.OutputCommitter committer, RMHeartbeatHandler rmHeartbeatHandler, ClassLoader jobClassLoader)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handle(CommitterEvent event)`
    `protected void` | `serviceInit(org.apache.hadoop.conf.Configuration conf)`
    `protected void` | `serviceStart()`
    `protected void` | `serviceStop()`

    - ### Methods inherited from class org.apache.hadoop.service.AbstractService

      `close, getBlockers, getConfig, getFailureCause, getFailureState, getLifecycleHistory, getName, getServiceState, getStartTime, init, isInState, noteFailure, putBlocker, registerGlobalListener, registerServiceListener, removeBlocker, setConfig, start, stop, toString, unregisterGlobalListener, unregisterServiceListener, waitForServiceToStop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CommitterEventHandler

          public CommitterEventHandler(AppContext context,
                                       org.apache.hadoop.mapreduce.OutputCommitter committer,
                                       RMHeartbeatHandler rmHeartbeatHandler)

    - #### CommitterEventHandler

          public CommitterEventHandler(AppContext context,
                                       org.apache.hadoop.mapreduce.OutputCommitter committer,
                                       RMHeartbeatHandler rmHeartbeatHandler,
                                       ClassLoader jobClassLoader)

  - ### Method Detail

    - #### serviceInit

          protected void serviceInit(org.apache.hadoop.conf.Configuration conf)
                              throws Exception

      Overrides:
        `serviceInit` in class `org.apache.hadoop.service.AbstractService`
      Throws:
        `Exception`

    - #### serviceStart

          protected void serviceStart()
                               throws Exception

      Overrides:
        `serviceStart` in class `org.apache.hadoop.service.AbstractService`
      Throws:
        `Exception`

    - #### handle

          public void handle(CommitterEvent event)

      Specified by:
        `handle` in interface `org.apache.hadoop.yarn.event.EventHandler<CommitterEvent>`

    - #### serviceStop

          protected void serviceStop()
                              throws Exception

      Overrides:
        `serviceStop` in class `org.apache.hadoop.service.AbstractService`
      Throws:
        `Exception`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.